Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

ROS Kinetic unmet dependencies -- Waffle/Joule

I recently acquired an unbuilt Waffle (Joule 570). It went together fine and all the hardware seems to be working. I installed Ubuntu 16.04 (latest version from the emanual Robotis page links for the Joule). I did a software update (not an Ubuntu version update) to it to get a stable install, otherwise Ubuntu quickly freezes. Then follow the ROS installation instructions. All goes well until 'sudo apt-get install ros-kinetic-rosserial-python ros-kinetic-tf'.  At this point I get numerous unmet dependencies and can go no further in the ROS install. I Googled and tried about a dozen different "solutions", but none work.

Has anyone run into this problem and found a solution? I have spent many hours on this and appear no closer to a solution. Something fundament between Ubuntu and the current ROS Kinetic install and the Joule seem off and the Robotis installation instructions do not account for it.

Alternatively, does an Ubuntu/Joule image with ROS preinstalled exist that could possibly be loaded on the Joule? I currently have an expensive pile of hardware that does nothing.

More info, including logs, below. I asked over on the Robotis site, and after some back and forth, they indicated that they were seeing the same problem when they install now and that they would get back to me when they had a solution. That was back at the beginning of April, but I haven't heard anything.

Any help is appreciated.

Thanks,

Win

Here's a little more info. It turns out the ROS install appears to be failing with unmet dependencies during the 'install_ros_kinect.sh' script in the wget command after the 'sudo apt-get update' and 'sudo apt-get upgrade'.

$ sudo apt-get update $ sudo apt-get upgrade $ wget https://raw.githubusercontent.com/ROBOTIS-GIT/robotis_tools/master/install_ros_kinetic.sh && chmod 755 ./install_ros_kinetic.sh && bash ./install_ros_kinetic.sh

I appended all of the terminal output below. You can see the errors about 180 lines down, after the (percent signs) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Thanks, Win


wheagy@waffle:~$ sudo apt-get update [sudo] password for wheagy: Ign:1 http://joule.archive.canonical.com/updates xenial-joule InRelease Hit:2 http://archive.ubuntu.com/ubuntu xenial InRelease Hit:3 http://joule.archive.canonical.com/updates xenial-joule Release Ign:4 http://oem.archive.canonical.com/updates xenial-oem InRelease Hit:5 http://oem.archive.canonical.com/updates xenial-oem Release Hit:8 http://security.ubuntu.com/ubuntu xenial-security InRelease Reading package lists... Done wheagy@waffle:~$ sudo apt-get upgrade Reading package lists... Done Building dependency tree
Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. wheagy@waffle:~$ wget https://raw.githubusercontent.com/ROBOTIS-GIT/robotis_tools/master/install_ros_kinetic.sh && chmod 755 ./install_ros_kinetic.sh && bash ./install_ros_kinetic.sh --2019-04-08 18:44:46-- https://raw.githubusercontent.com/ROBOTIS-GIT/robotis_tools/master/install_ros_kinetic.sh Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.200.133 Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.200.133|:443... connected. HTTP request sent, awaiting response... 200 OK Length: 2998 (2.9K) [text/plain] Saving to: ‘install_ros_kinetic.sh’

install_ros_kinetic 100%[===================>] 2.93K --.-KB/s in 0s

2019-04-08 18:44:46 (25.5 MB/s) - ‘install_ros_kinetic.sh’ saved [2998/2998]

[Note] Target OS version >>> Ubuntu 16.04.x (xenial) or Linux Mint 18.x [Note] Target ROS version >>> ROS Kinetic Kame [Note] Catkin workspace >>> /home/wheagy/catkin_ws

PRESS [ENTER] TO CONTINUE THE INSTALLATION IF YOU WANT TO CANCEL, PRESS [CTRL] + [C]

[Set the target OS, ROS version and name of catkin workspace] [Update the package lists and upgrade them] Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease Ign:2 http://joule.archive.canonical.com/updates xenial-joule InRelease Ign:3 http://oem.archive.canonical.com/updates xenial-oem InRelease Hit:4 http://joule.archive.canonical.com/updates xenial-joule Release
Hit:5 http://oem.archive.canonical.com/updates xenial-oem Release
Hit:8 http://security.ubuntu.com/ubuntu xenial-security InRelease
Reading package lists... Done
Reading package lists... Done Building dependency tree
Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. [Install build environment, the chrony, ntpdate and set the ntpdate] Reading package lists... Done Building dependency tree
Reading state information... Done build-essential is already the newest version (12.1ubuntu2). The following additional packages will be installed: libtomcrypt0 libtommath0 timelimit The following NEW packages will be installed: chrony libtomcrypt0 libtommath0 ntpdate timelimit 0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded. Need to get 630 kB of archives. After this operation, 1,872 kB of additional disk space will be used. Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 ntpdate amd64 1:4.2.8p4+dfsg-3ubuntu5 [49.4 kB] Get:2 http://archive.ubuntu.com/ubuntu xenial/universe amd64 timelimit amd64 1.8-1 [12.2 kB] Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 libtommath0 amd64 0.42.0-1.2 [41.8 kB] Get:4 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libtomcrypt0 amd64 1.17-7 [282 kB] Get:5 http://archive.ubuntu.com/ubuntu xenial/universe amd64 chrony amd64 2.1.1-1 [245 kB] Fetched 630 kB in 0s (854 kB/s) Selecting previously unselected package ntpdate. (Reading database ... 173153 files and directories currently installed.) Preparing to unpack .../ntpdate_1%3a4.2.8p4+dfsg-3ubuntu5_amd64.deb ... Unpacking ntpdate (1:4.2.8p4+dfsg-3ubuntu5) ... Selecting previously unselected package timelimit. Preparing to unpack .../timelimit_1.8-1_amd64.deb ... Unpacking timelimit (1.8-1) ... Selecting previously unselected package libtommath0. Preparing to unpack .../libtommath0_0.42.0-1.2_amd64.deb ... Unpacking libtommath0 (0.42.0-1.2) ... Selecting previously unselected package libtomcrypt0:amd64. Preparing to unpack .../libtomcrypt0_1.17-7_amd64.deb ... Unpacking libtomcrypt0:amd64 (1.17-7) ... Selecting previously unselected package chrony. Preparing to unpack .../chrony_2.1.1-1_amd64.deb ... Unpacking chrony (2.1.1-1) ... Processing triggers for man-db (2.7.5-1) ... Processing triggers for doc-base (0.10.7) ... Processing 1 added doc-base file... Processing triggers for systemd (229-4ubuntu21.16) ... Processing triggers for ureadahead (0.100.0-19) ... ureadahead will be reprofiled on next reboot Setting up ntpdate (1:4.2.8p4+dfsg-3ubuntu5) ... Setting up timelimit (1.8-1) ... Setting up libtommath0 (0.42.0-1.2) ... Setting up libtomcrypt0:amd64 (1.17-7) ... Setting up chrony (2.1.1-1) ... Creating '_chrony' system user/group for the chronyd daemon…

Creating config file /etc/chrony/chrony.conf with new version Processing triggers for libc-bin (2.23-0ubuntu10) ... Processing triggers for systemd (229-4ubuntu21.16) ... Processing triggers for ureadahead (0.100.0-19) ... 8 Apr 18:45:25 ntpdate[4218]: adjust time server 91.189.91.157 offset 0.023143 sec [Add the ROS repository] [Download the ROS keys] Executing: /tmp/tmp.XDNifGVXB7/gpg.1.sh --keyserver hkp://ha.pool.sks-keyservers.net:80 --recv-key 421C365BD9FF1F717815A3895523BAEEB01FA116 gpg: requesting key B01FA116 from hkp server ha.pool.sks-keyservers.net gpg: key B01FA116: public key "ROS Builder rosbuild@ros.org" imported gpg: Total number processed: 1 gpg: imported: 1 [Check the ROS keys] [ROS key exists in the list] [Update the package lists and upgrade them] Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease Ign:2 http://joule.archive.canonical.com/updates xenial-joule InRelease Ign:3 http://oem.archive.canonical.com/updates xenial-oem InRelease Hit:4 http://joule.archive.canonical.com/updates xenial-joule Release
Hit:5 http://oem.archive.canonical.com/updates xenial-oem Release
Hit:8 http://security.ubuntu.com/ubuntu xenial-security InRelease
Get:9 http://packages.ros.org/ros/ubuntu xenial InRelease [4,040 B] Get:10 http://packages.ros.org/ros/ubuntu xenial/main amd64 Packages [761 kB] Get:11 http://packages.ros.org/ros/ubuntu xenial/main i386 Packages [550 kB] Fetched 1,315 kB in 6s (218 kB/s)
Reading package lists... Done Reading package lists... Done Building dependency tree
Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. [Install the ros-desktop-full and all rqt plugins] Reading package lists... Done Building dependency tree
Reading state information... Done Note, selecting 'ros-kinetic-rqt-gui-py' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-tf-tree' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-moveit' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-console' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-pose-view' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-logger-level' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-gauges' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-py-common' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-rviz' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-joint-trajectory-plot' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-service-caller' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-pr2-dashboard' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-topic' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-bag' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-bhand' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-common-plugins' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-dep' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-robot-steering' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-reconfigure' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-gui' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-robot-monitor' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-plot' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-controller-manager' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-multiplot' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-msg' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-nav-view' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-shell' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-wrapper' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-gui-cpp' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-image-view' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-ez-publisher' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-launchtree' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-runtime-monitor' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-srv' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-top' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-py-trees' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-publisher' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-bag-plugins' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-robot-dashboard' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-web' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-launch' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-robot-plugins' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-py-console' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-joint-trajectory-controller' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-graph' for glob 'ros-kinetic-rqt-' Note, selecting 'ros-kinetic-rqt-action' for glob 'ros-kinetic-rqt-' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: ros-kinetic-desktop-full : Depends: ros-kinetic-desktop but it is not going to be installed Depends: ros-kinetic-perception but it is not going to be installed Depends: ros-kinetic-simulators but it is not going to be installed Depends: ros-kinetic-urdf-tutorial but it is not going to be installed ros-kinetic-rqt-action : Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-bag : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rosbag but it is not going to be installed Depends: ros-kinetic-rosgraph-msgs but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rosnode but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-bag-plugins : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-rosbag but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-sensor-msgs but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed ros-kinetic-rqt-bhand : Depends: ros-kinetic-bhand-controller but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-sensor-msgs but it is not going to be installed ros-kinetic-rqt-console : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-controller-manager : Depends: ros-kinetic-controller-manager but it is not going to be installed ros-kinetic-rqt-dep : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-dotgraph but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed ros-kinetic-rqt-ez-publisher : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-tf but it is not going to be installed Depends: ros-kinetic-tf2-msgs but it is not going to be installed ros-kinetic-rqt-gauges : Depends: ros-kinetic-pluginlib but it is not going to be installed Depends: ros-kinetic-roscpp but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed ros-kinetic-rqt-graph : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-dotgraph but it is not going to be installed Depends: ros-kinetic-rosgraph-msgs but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rosnode but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rosservice but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed ros-kinetic-rqt-gui : Depends: ros-kinetic-qt-gui (>= 0.3.0) but it is not going to be installed ros-kinetic-rqt-gui-cpp : Depends: ros-kinetic-nodelet but it is not going to be installed Depends: ros-kinetic-qt-gui (>= 0.3.0) but it is not going to be installed Depends: ros-kinetic-qt-gui-cpp (>= 0.3.0) but it is not going to be installed Depends: ros-kinetic-roscpp but it is not going to be installed ros-kinetic-rqt-gui-py : Depends: ros-kinetic-qt-gui (>= 0.3.0) but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-image-view : Depends: ros-kinetic-opencv3 but it is not going to be installed Depends: ros-kinetic-cv-bridge but it is not going to be installed Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-image-transport but it is not going to be installed Depends: ros-kinetic-sensor-msgs but it is not going to be installed ros-kinetic-rqt-joint-trajectory-controller : Depends: ros-kinetic-control-msgs but it is not going to be installed Depends: ros-kinetic-controller-manager-msgs but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-trajectory-msgs but it is not going to be installed ros-kinetic-rqt-joint-trajectory-plot : Depends: ros-kinetic-control-msgs but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-trajectory-msgs but it is not going to be installed ros-kinetic-rqt-launch : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-roslaunch but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-launchtree : Depends: ros-kinetic-roslaunch but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-logger-level : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rosnode but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rosservice but it is not going to be installed ros-kinetic-rqt-moveit : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rosnode but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-sensor-msgs but it is not going to be installed ros-kinetic-rqt-msg : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rosmsg but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-multiplot : Depends: qtbase5-dev Depends: ros-kinetic-rosbag but it is not going to be installed Depends: ros-kinetic-roscpp but it is not going to be installed Depends: ros-kinetic-variant-topic-tools but it is not going to be installed ros-kinetic-rqt-nav-view : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-nav-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-tf but it is not going to be installed ros-kinetic-rqt-plot : Depends: python-matplotlib but it is not going to be installed Depends: python-numpy but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common (>= 0.2.25) but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed ros-kinetic-rqt-pose-view : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-tf but it is not going to be installed ros-kinetic-rqt-pr2-dashboard : Depends: ros-kinetic-diagnostic-msgs but it is not going to be installed Depends: ros-kinetic-pr2-msgs but it is not going to be installed Depends: ros-kinetic-pr2-power-board but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed Depends: ros-kinetic-std-srvs but it is not going to be installed ros-kinetic-rqt-publisher : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rosmsg (>= 1.9.49) but it is not going to be installed ros-kinetic-rqt-py-common : Depends: ros-kinetic-actionlib but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rosbag but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed ros-kinetic-rqt-py-console : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-py-trees : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-py-trees-msgs but it is not going to be installed Depends: ros-kinetic-qt-dotgraph but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-unique-id but it is not going to be installed ros-kinetic-rqt-reconfigure : Depends: ros-kinetic-dynamic-reconfigure but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-robot-dashboard : Depends: ros-kinetic-diagnostic-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-robot-monitor : Depends: ros-kinetic-diagnostic-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-robot-steering : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed ros-kinetic-rqt-runtime-monitor : Depends: ros-kinetic-diagnostic-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-rviz : Depends: libboost-all-dev but it is not going to be installed Depends: ros-kinetic-pluginlib but it is not going to be installed Depends: ros-kinetic-rviz but it is not going to be installed ros-kinetic-rqt-service-caller : Depends: ros-kinetic-rosservice but it is not going to be installed ros-kinetic-rqt-shell : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed ros-kinetic-rqt-srv : Depends: ros-kinetic-rosmsg but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-tf-tree : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-dotgraph but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-tf2 but it is not going to be installed Depends: ros-kinetic-tf2-msgs but it is not going to be installed Depends: ros-kinetic-tf2-ros but it is not going to be installed ros-kinetic-rqt-top : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-topic : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed ros-kinetic-rqt-web : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-wrapper : Depends: ros-kinetic-python-qt-binding but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed Depends: ros-kinetic-rocon-python-utils but it is not going to be installed E: Unable to correct problems, you have held broken packages. [Initialize rosdep] sh: 1: rosdep: not found ./install_ros_kinetic.sh: line 56: rosdep: command not found [Environment setup and getting rosinstall] ./install_ros_kinetic.sh: line 59: /opt/ros/kinetic/setup.sh: No such file or directory Reading package lists... Done Building dependency tree
Reading state information... Done The following additional packages will be installed: bzr docutils-common docutils-doc git git-core git-man libapr1 libaprutil1 liberror-perl libjs-excanvas libserf-1-1 libsvn1 mercurial mercurial-common python-bzrlib python-catkin-pkg python-catkin-pkg-modules python-chardet python-configobj python-dateutil python-dbus python-docutils python-gi python-gpgme python-httplib2 python-keyring python-launchpadlib python-lazr.restfulclient python-lazr.uri python-oauth python-pil python-pkg-resources python-pygments python-pyparsing python-roman python-rosdistro python-rosdistro-modules python-rospkg-modules python-secretstorage python-setuptools python-simplejson python-six python-vcstools python-wadllib python-wstool python-yaml python-zope.interface subversion Suggested packages: bzr-doc bzrtools python-bzrlib.tests git-daemon-run | git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-arch git-cvs git-mediawiki git-svn qct kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff python-mysqldb python-openssl python-bzrlib-dbg python-kerberos python-paramiko python-pycurl python-configobj-doc python-dbus-doc python-dbus-dbg texlive-latex-recommended texlive-latex-base texlive-lang-french fonts-linuxlibertine | ttf-linux-libertine python-gi-cairo python-fs python-gdata python-kde4 python-keyczar python-testresources python-pil-doc python-pil-dbg ttf-bitstream-vera python-secretstorage-doc python-setuptools-doc db5.3-util subversion-tools The following NEW packages will be installed: bzr docutils-common docutils-doc git git-core git-man libapr1 libaprutil1 liberror-perl libjs-excanvas libserf-1-1 libsvn1 mercurial mercurial-common python-bzrlib python-catkin-pkg python-catkin-pkg-modules python-chardet python-configobj python-dateutil python-dbus python-docutils python-gi python-gpgme python-httplib2 python-keyring python-launchpadlib python-lazr.restfulclient python-lazr.uri python-oauth python-pil python-pkg-resources python-pygments python-pyparsing python-roman python-rosdistro python-rosdistro-modules python-rosinstall python-rospkg-modules python-secretstorage python-setuptools python-simplejson python-six python-vcstools python-wadllib python-wstool python-yaml python-zope.interface subversion 0 upgraded, 49 newly installed, 0 to remove and 0 not upgraded. Need to get 12.5 MB of archives. After this operation, 69.1 MB of additional disk space will be used. Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 libapr1 amd64 1.5.2-3 [86.0 kB] Get:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 libaprutil1 amd64 1.5.4-1build1 [77.1 kB] Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 libserf-1-1 amd64 1.3.8-1 [45.5 kB] Get:4 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-six all 1.10.0-3 [10.9 kB] Get:5 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-configobj all 5.0.6-2 [34.2 kB] Get:6 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-bzrlib amd64 2.7.0-2ubuntu1 [1,391 kB] Get:7 http://archive.ubuntu.com/ubuntu xenial/main amd64 bzr all 2.7.0-2ubuntu1 [37.2 kB] Get:8 http://archive.ubuntu.com/ubuntu xenial/main amd64 docutils-common all 0.12+dfsg-1 [141 kB] Get:9 http://archive.ubuntu.com/ubuntu xenial/main amd64 docutils-doc all 0.12+dfsg-1 [889 kB] Get:10 http://archive.ubuntu.com/ubuntu xenial/main amd64 liberror-perl all 0.17-1.2 [19.6 kB] Get:11 http://archive.ubuntu.com/ubuntu xenial/main amd64 git-man all 1:2.7.4-0ubuntu1 [735 kB] Get:12 http://archive.ubuntu.com/ubuntu xenial/main amd64 git amd64 1:2.7.4-0ubuntu1 [3,006 kB] Get:13 http://archive.ubuntu.com/ubuntu xenial/main amd64 git-core all 1:2.7.4-0ubuntu1 [1,464 B] Get:14 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libjs-excanvas all 0.r3-4 [45.2 kB] Get:15 http://archive.ubuntu.com/ubuntu xenial/main amd64 libsvn1 amd64 1.9.3-2ubuntu1 [1,168 kB] Get:16 http://archive.ubuntu.com/ubuntu xenial/universe amd64 mercurial-common all 3.7.3-1ubuntu1 [1,833 kB] Get:17 http://archive.ubuntu.com/ubuntu xenial/universe amd64 mercurial amd64 3.7.3-1ubuntu1 [46.3 kB] Get:18 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-dateutil all 2.4.2-1 [42.5 kB] Get:19 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-roman all 2.0.0-2 [8,062 B] Get:20 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-docutils all 0.12+dfsg-1 [348 kB] Get:21 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-pyparsing all 2.0.3+dfsg1-1 [35.3 kB] Get:22 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-pkg-resources all 20.7.0-1 [108 kB] Get:23 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-chardet all 2.3.0-2 [96.3 kB] Get:24 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-dbus amd64 1.2.0-3 [83.5 kB] Get:25 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-gi amd64 3.20.0-0ubuntu1 [194 kB] Get:26 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-gpgme amd64 0.3-1.1 [24.6 kB] Get:27 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-httplib2 all 0.9.1+dfsg-1 [34.2 kB] Get:28 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-keyring all 7.3-1ubuntu1 [43.7 kB] Get:29 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-lazr.uri all 1.0.3-2build1 [13.6 kB] Get:30 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-simplejson amd64 3.8.1-1ubuntu2 [60.4 kB] Get:31 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-wadllib all 1.3.2-3 [28.2 kB] Get:32 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-zope.interface amd64 4.1.3-1build1 [81.0 kB] Get:33 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-oauth all 1.0.1-5 [12.9 kB] Get:34 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-lazr.restfulclient all 0.13.4-5ubuntu1 [50.7 kB] Get:35 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-launchpadlib all 1.10.3-3 [45.6 kB] Get:36 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-pil amd64 3.1.2-0ubuntu1 [312 kB] Get:37 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-pygments all 2.1+dfsg-1 [522 kB] Get:38 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-yaml amd64 3.11-3build1 [105 kB] Get:39 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-setuptools all 20.7.0-1 [169 kB] Get:40 http://archive.ubuntu.com/ubuntu xenial/main amd64 subversion amd64 1.9.3-2ubuntu1 [308 kB] Get:41 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-secretstorage all 2.1.3-1 [12.3 kB] Get:42 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-catkin-pkg-modules all 0.4.11-1 [41.1 kB] Get:43 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-catkin-pkg all 0.4.11-100 [3,516 B] Get:44 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-rospkg-modules all 1.1.7-1 [23.4 kB] Get:45 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-rosdistro-modules all 0.7.3-1 [30.8 kB] Get:46 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-rosdistro all 0.7.3-100 [6,260 B] Get:47 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-vcstools all 0.1.40-1 [29.5 kB] Get:48 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-wstool all 0.1.17-1 [42.4 kB] Get:49 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-rosinstall all 0.7.8-1 [23.7 kB] Fetched 12.5 MB in 5s (2,239 kB/s)
Extracting templates from packages: 100% Selecting previously unselected package libapr1:amd64. (Reading database ... 173209 files and directories currently installed.) Preparing to unpack .../libapr1_1.5.2-3_amd64.deb ... Unpacking libapr1:amd64 (1.5.2-3) ... Selecting previously unselected package libaprutil1:amd64. Preparing to unpack .../libaprutil1_1.5.4-1build1_amd64.deb ... Unpacking libaprutil1:amd64 (1.5.4-1build1) ... Selecting previously unselected package libserf-1-1:amd64. Preparing to unpack .../libserf-1-1_1.3.8-1_amd64.deb ... Unpacking libserf-1-1:amd64 (1.3.8-1) ... Selecting previously unselected package python-six. Preparing to unpack .../python-six_1.10.0-3_all.deb ... Unpacking python-six (1.10.0-3) ... Selecting previously unselected package python-configobj. Preparing to unpack .../python-configobj_5.0.6-2_all.deb ... Unpacking python-configobj (5.0.6-2) ... Selecting previously unselected package python-bzrlib. Preparing to unpack .../python-bzrlib_2.7.0-2ubuntu1_amd64.deb ... Unpacking python-bzrlib (2.7.0-2ubuntu1) ... Selecting previously unselected package bzr. Preparing to unpack .../bzr_2.7.0-2ubuntu1_all.deb ... Unpacking bzr (2.7.0-2ubuntu1) ... Selecting previously unselected package docutils-common. Preparing to unpack .../docutils-common_0.12+dfsg-1_all.deb ... Unpacking docutils-common (0.12+dfsg-1) ... Selecting previously unselected package docutils-doc. Preparing to unpack .../docutils-doc_0.12+dfsg-1_all.deb ... Unpacking docutils-doc (0.12+dfsg-1) ... Selecting previously unselected package liberror-perl. Preparing to unpack .../liberror-perl_0.17-1.2_all.deb ... Unpacking liberror-perl (0.17-1.2) ... Selecting previously unselected package git-man. Preparing to unpack .../git-man_1%3a2.7.4-0ubuntu1_all.deb ... Unpacking git-man (1:2.7.4-0ubuntu1) ... Selecting previously unselected package git. Preparing to unpack .../git_1%3a2.7.4-0ubuntu1_amd64.deb ... Unpacking git (1:2.7.4-0ubuntu1) ... Selecting previously unselected package git-core. Preparing to unpack .../git-core_1%3a2.7.4-0ubuntu1_all.deb ... Unpacking git-core (1:2.7.4-0ubuntu1) ... Selecting previously unselected package libjs-excanvas. Preparing to unpack .../libjs-excanvas_0.r3-4_all.deb ... Unpacking libjs-excanvas (0.r3-4) ... Selecting previously unselected package libsvn1:amd64. Preparing to unpack .../libsvn1_1.9.3-2ubuntu1_amd64.deb ... Unpacking libsvn1:amd64 (1.9.3-2ubuntu1) ... Selecting previously unselected package mercurial-common. Preparing to unpack .../mercurial-common_3.7.3-1ubuntu1_all.deb ... Unpacking mercurial-common (3.7.3-1ubuntu1) ... Selecting previously unselected package mercurial. Preparing to unpack .../mercurial_3.7.3-1ubuntu1_amd64.deb ... Unpacking mercurial (3.7.3-1ubuntu1) ... Selecting previously unselected package python-dateutil. Preparing to unpack .../python-dateutil_2.4.2-1_all.deb ... Unpacking python-dateutil (2.4.2-1) ... Selecting previously unselected package python-roman. Preparing to unpack .../python-roman_2.0.0-2_all.deb ... Unpacking python-roman (2.0.0-2) ... Selecting previously unselected package python-docutils. Preparing to unpack .../python-docutils_0.12+dfsg-1_all.deb ... Unpacking python-docutils (0.12+dfsg-1) ... Selecting previously unselected package python-pyparsing. Preparing to unpack .../python-pyparsing_2.0.3+dfsg1-1_all.deb ... Unpacking python-pyparsing (2.0.3+dfsg1-1) ... Selecting previously unselected package python-catkin-pkg-modules. Preparing to unpack .../python-catkin-pkg-modules_0.4.11-1_all.deb ... Unpacking python-catkin-pkg-modules (0.4.11-1) ... Selecting previously unselected package python-catkin-pkg. Preparing to unpack .../python-catkin-pkg_0.4.11-100_all.deb ... Unpacking python-catkin-pkg (0.4.11-100) ... Selecting previously unselected package python-pkg-resources. Preparing to unpack .../python-pkg-resources_20.7.0-1_all.deb ... Unpacking python-pkg-resources (20.7.0-1) ... Selecting previously unselected package python-chardet. Preparing to unpack .../python-chardet_2.3.0-2_all.deb ... Unpacking python-chardet (2.3.0-2) ... Selecting previously unselected package python-dbus. Preparing to unpack .../python-dbus_1.2.0-3_amd64.deb ... Unpacking python-dbus (1.2.0-3) ... Selecting previously unselected package python-gi. Preparing to unpack .../python-gi_3.20.0-0ubuntu1_amd64.deb ... Unpacking python-gi (3.20.0-0ubuntu1) ... Selecting previously unselected package python-gpgme. Preparing to unpack .../python-gpgme_0.3-1.1_amd64.deb ... Unpacking python-gpgme (0.3-1.1) ... Selecting previously unselected package python-httplib2. Preparing to unpack .../python-httplib2_0.9.1+dfsg-1_all.deb ... Unpacking python-httplib2 (0.9.1+dfsg-1) ... Selecting previously unselected package python-keyring. Preparing to unpack .../python-keyring_7.3-1ubuntu1_all.deb ... Unpacking python-keyring (7.3-1ubuntu1) ... Selecting previously unselected package python-lazr.uri. Preparing to unpack .../python-lazr.uri_1.0.3-2build1_all.deb ... Unpacking python-lazr.uri (1.0.3-2build1) ... Selecting previously unselected package python-simplejson. Preparing to unpack .../python-simplejson_3.8.1-1ubuntu2_amd64.deb ... Unpacking python-simplejson (3.8.1-1ubuntu2) ... Selecting previously unselected package python-wadllib. Preparing to unpack .../python-wadllib_1.3.2-3_all.deb ... Unpacking python-wadllib (1.3.2-3) ... Selecting previously unselected package python-zope.interface. Preparing to unpack .../python-zope.interface_4.1.3-1build1_amd64.deb ... Unpacking python-zope.interface (4.1.3-1build1) ... Selecting previously unselected package python-oauth. Preparing to unpack .../python-oauth_1.0.1-5_all.deb ... Unpacking python-oauth (1.0.1-5) ... Selecting previously unselected package python-lazr.restfulclient. Preparing to unpack .../python-lazr.restfulclient_0.13.4-5ubuntu1_all.deb ... Unpacking python-lazr.restfulclient (0.13.4-5ubuntu1) ... Selecting previously unselected package python-launchpadlib. Preparing to unpack .../python-launchpadlib_1.10.3-3_all.deb ... Unpacking python-launchpadlib (1.10.3-3) ... Selecting previously unselected package python-pil:amd64. Preparing to unpack .../python-pil_3.1.2-0ubuntu1_amd64.deb ... Unpacking python-pil:amd64 (3.1.2-0ubuntu1) ... Selecting previously unselected package python-pygments. Preparing to unpack .../python-pygments_2.1+dfsg-1_all.deb ... Unpacking python-pygments (2.1+dfsg-1) ... Selecting previously unselected package python-yaml. Preparing to unpack .../python-yaml_3.11-3build1_amd64.deb ... Unpacking python-yaml (3.11-3build1) ... Selecting previously unselected package python-rospkg-modules. Preparing to unpack .../python-rospkg-modules_1.1.7-1_all.deb ... Unpacking python-rospkg-modules (1.1.7-1) ... Selecting previously unselected package python-setuptools. Preparing to unpack .../python-setuptools_20.7.0-1_all.deb ... Unpacking python-setuptools (20.7.0-1) ... Selecting previously unselected package python-rosdistro-modules. Preparing to unpack .../python-rosdistro-modules_0.7.3-1_all.deb ... Unpacking python-rosdistro-modules (0.7.3-1) ... Selecting previously unselected package python-rosdistro. Preparing to unpack .../python-rosdistro_0.7.3-100_all.deb ... Unpacking python-rosdistro (0.7.3-100) ... Selecting previously unselected package subversion. Preparing to unpack .../subversion_1.9.3-2ubuntu1_amd64.deb ... Unpacking subversion (1.9.3-2ubuntu1) ... Selecting previously unselected package python-vcstools. Preparing to unpack .../python-vcstools_0.1.40-1_all.deb ... Unpacking python-vcstools (0.1.40-1) ... Selecting previously unselected package python-wstool. Preparing to unpack .../python-wstool_0.1.17-1_all.deb ... Unpacking python-wstool (0.1.17-1) ... Selecting previously unselected package python-rosinstall. Preparing to unpack .../python-rosinstall_0.7.8-1_all.deb ... Unpacking python-rosinstall (0.7.8-1) ... Selecting previously unselected package python-secretstorage. Preparing to unpack .../python-secretstorage_2.1.3-1_all.deb ... Unpacking python-secretstorage (2.1.3-1) ... Processing triggers for libc-bin (2.23-0ubuntu10) ... Processing triggers for man-db (2.7.5-1) ... Processing triggers for shared-mime-info (1.5-2ubuntu0.1) ... Processing triggers for sgml-base (1.26+nmu4ubuntu1) ... Processing triggers for doc-base (0.10.7) ... Processing 1 added doc-base file... Setting up libapr1:amd64 (1.5.2-3) ... Setting up libaprutil1:amd64 (1.5.4-1build1) ... Setting up libserf-1-1:amd64 (1.3.8-1) ... Setting up python-six (1.10.0-3) ... Setting up python-configobj (5.0.6-2) ... Setting up python-bzrlib (2.7.0-2ubuntu1) ... Setting up bzr (2.7.0-2ubuntu1) ... Setting up docutils-common (0.12+dfsg-1) ... Setting up docutils-doc (0.12+dfsg-1) ... Setting up liberror-perl (0.17-1.2) ... Setting up git-man (1:2.7.4-0ubuntu1) ... Setting up git (1:2.7.4-0ubuntu1) ... Setting up git-core (1:2.7.4-0ubuntu1) ... Setting up libjs-excanvas (0.r3-4) ... Setting up libsvn1:amd64 (1.9.3-2ubuntu1) ... Setting up mercurial-common (3.7.3-1ubuntu1) ... Setting up mercurial (3.7.3-1ubuntu1) ...

Creating config file /etc/mercurial/hgrc.d/hgext.rc with new version Setting up python-dateutil (2.4.2-1) ... Setting up python-roman (2.0.0-2) ... Setting up python-pyparsing (2.0.3+dfsg1-1) ... Setting up python-pkg-resources (20.7.0-1) ... Setting up python-chardet (2.3.0-2) ... Setting up python-dbus (1.2.0-3) ... Remove stale byte-compiled files... Setting up python-gi (3.20.0-0ubuntu1) ... Setting up python-gpgme (0.3-1.1) ... Setting up python-httplib2 (0.9.1+dfsg-1) ... Setting up python-keyring (7.3-1ubuntu1) ... Setting up python-lazr.uri (1.0.3-2build1) ... Setting up python-simplejson (3.8.1-1ubuntu2) ... Setting up python-wadllib (1.3.2-3) ... Setting up python-zope.interface (4.1.3-1build1) ... Setting up python-oauth (1.0.1-5) ... Setting up python-lazr.restfulclient (0.13.4-5ubuntu1) ... Setting up python-launchpadlib (1.10.3-3) ... Setting up python-pil:amd64 (3.1.2-0ubuntu1) ... Setting up python-pygments (2.1+dfsg-1) ... Setting up python-yaml (3.11-3build1) ... Setting up python-setuptools (20.7.0-1) ... Setting up subversion (1.9.3-2ubuntu1) ... Setting up python-vcstools (0.1.40-1) ... Setting up python-wstool (0.1.17-1) ... Setting up python-secretstorage (2.1.3-1) ... Processing triggers for sgml-base (1.26+nmu4ubuntu1) ... Setting up python-docutils (0.12+dfsg-1) ... update-alternatives: using /usr/share/docutils/scripts/python2/rst-buildhtml to provide /usr/bin/rst-buildhtml (rst-buildhtml) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2html to provide /usr/bin/rst2html (rst2html) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2latex to provide /usr/bin/rst2latex (rst2latex) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2man to provide /usr/bin/rst2man (rst2man) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2odt to provide /usr/bin/rst2odt (rst2odt) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2odt_prepstyles to provide /usr/bin/rst2odt_prepstyles (rst2odt_prepstyles) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2pseudoxml to provide /usr/bin/rst2pseudoxml (rst2pseudoxml) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2s5 to provide /usr/bin/rst2s5 (rst2s5) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2xetex to provide /usr/bin/rst2xetex (rst2xetex) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2xml to provide /usr/bin/rst2xml (rst2xml) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rstpep2html to provide /usr/bin/rstpep2html (rstpep2html) in auto mode Setting up python-catkin-pkg-modules (0.4.11-1) ... Setting up python-catkin-pkg (0.4.11-100) ... Setting up python-rospkg-modules (1.1.7-1) ... Setting up python-rosdistro-modules (0.7.3-1) ... Setting up python-rosdistro (0.7.3-100) ... Setting up python-rosinstall (0.7.8-1) ... Processing triggers for libc-bin (2.23-0ubuntu10) ... [Make the catkin workspace and test the catkin_make] ./install_ros_kinetic.sh: line 65: catkin_init_workspace: command not found ./install_ros_kinetic.sh: line 67: catkin_make: command not found [Set the ROS evironment] [Complete!!!] wheagy@waffle:~$

ROS Kinetic unmet dependencies -- Waffle/Joule

I recently acquired an unbuilt Waffle (Joule 570). It went together fine and all the hardware seems to be working. I installed Ubuntu 16.04 (latest version from the emanual Robotis page links for the Joule). I did a software update (not an Ubuntu version update) to it to get a stable install, otherwise Ubuntu quickly freezes. Then follow the ROS installation instructions. All goes well until 'sudo apt-get install ros-kinetic-rosserial-python ros-kinetic-tf'.  At this point I get numerous unmet dependencies and can go no further in the ROS install. I Googled and tried about a dozen different "solutions", but none work.

Has anyone run into this problem and found a solution? I have spent many hours on this and appear no closer to a solution. Something fundament between Ubuntu and the current ROS Kinetic install and the Joule seem off and the Robotis installation instructions do not account for it.

Alternatively, does an Ubuntu/Joule image with ROS preinstalled exist that could possibly be loaded on the Joule? I currently have an expensive pile of hardware that does nothing.

More info, including logs, below. I asked over on the Robotis site, and after some back and forth, they indicated that they were seeing the same problem when they install now and that they would get back to me when they had a solution. That was back at the beginning of April, but I haven't heard anything.

Any help is appreciated.

Thanks,

Win

Here's a little more info. It turns out the ROS install appears to be failing with unmet dependencies during the 'install_ros_kinect.sh' script in the wget command after the 'sudo apt-get update' and 'sudo apt-get upgrade'.

$ sudo apt-get update 
$ sudo apt-get upgrade 
$ wget https://raw.githubusercontent.com/ROBOTIS-GIT/robotis_tools/master/install_ros_kinetic.sh && chmod 755 ./install_ros_kinetic.sh && bash ./install_ros_kinetic.sh

./install_ros_kinetic.sh

I appended all of the terminal output below. You can see the errors about 180 lines down, after the (percent signs) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Thanks, Win


wheagy@waffle:~$ sudo apt-get update
[sudo] password for wheagy: 
Ign:1 http://joule.archive.canonical.com/updates xenial-joule InRelease
Hit:2 http://archive.ubuntu.com/ubuntu xenial InRelease
Hit:3 http://joule.archive.canonical.com/updates xenial-joule Release
Ign:4 http://oem.archive.canonical.com/updates xenial-oem InRelease
Hit:5 http://oem.archive.canonical.com/updates xenial-oem Release
Hit:8 http://security.ubuntu.com/ubuntu xenial-security InRelease
Reading package lists... Done
wheagy@waffle:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree 
Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. wheagy@waffle:~$ wget https://raw.githubusercontent.com/ROBOTIS-GIT/robotis_tools/master/install_ros_kinetic.sh && chmod 755 ./install_ros_kinetic.sh && bash ./install_ros_kinetic.sh --2019-04-08 18:44:46-- https://raw.githubusercontent.com/ROBOTIS-GIT/robotis_tools/master/install_ros_kinetic.sh Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.200.133 Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.200.133|:443... connected. HTTP request sent, awaiting response... 200 OK Length: 2998 (2.9K) [text/plain] Saving to: ‘install_ros_kinetic.sh’

‘install_ros_kinetic.sh’ install_ros_kinetic 100%[===================>] 2.93K --.-KB/s in 0s

install_ros_kinetic 100%[===================>] 2.93K --.-KB/s in 0s

2019-04-08 18:44:46 (25.5 MB/s) - ‘install_ros_kinetic.sh’ saved [2998/2998]

[2998/2998]

[Note] Target OS version >>> Ubuntu 16.04.x (xenial) or Linux Mint 18.x [Note] Target ROS version >>> ROS Kinetic Kame [Note] Catkin workspace >>> /home/wheagy/catkin_ws

/home/wheagy/catkin_ws

PRESS [ENTER] TO CONTINUE THE INSTALLATION IF YOU WANT TO CANCEL, PRESS [CTRL] + [C]

[C]

[Set the target OS, ROS version and name of catkin workspace] [Update the package lists and upgrade them] Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease Ign:2 http://joule.archive.canonical.com/updates xenial-joule InRelease Ign:3 http://oem.archive.canonical.com/updates xenial-oem InRelease Hit:4 http://joule.archive.canonical.com/updates xenial-joule Release
Hit:5 http://oem.archive.canonical.com/updates xenial-oem Release
Hit:8 http://security.ubuntu.com/ubuntu xenial-security InRelease
Reading package lists... Done
Reading package lists... Done Building dependency tree
Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. [Install build environment, the chrony, ntpdate and set the ntpdate] Reading package lists... Done Building dependency tree
Reading state information... Done build-essential is already the newest version (12.1ubuntu2). The following additional packages will be installed: libtomcrypt0 libtommath0 timelimit The following NEW packages will be installed: chrony libtomcrypt0 libtommath0 ntpdate timelimit 0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded. Need to get 630 kB of archives. After this operation, 1,872 kB of additional disk space will be used. Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 ntpdate amd64 1:4.2.8p4+dfsg-3ubuntu5 [49.4 kB] Get:2 http://archive.ubuntu.com/ubuntu xenial/universe amd64 timelimit amd64 1.8-1 [12.2 kB] Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 libtommath0 amd64 0.42.0-1.2 [41.8 kB] Get:4 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libtomcrypt0 amd64 1.17-7 [282 kB] Get:5 http://archive.ubuntu.com/ubuntu xenial/universe amd64 chrony amd64 2.1.1-1 [245 kB] Fetched 630 kB in 0s (854 kB/s) Selecting previously unselected package ntpdate. (Reading database ... 173153 files and directories currently installed.) Preparing to unpack .../ntpdate_1%3a4.2.8p4+dfsg-3ubuntu5_amd64.deb ... Unpacking ntpdate (1:4.2.8p4+dfsg-3ubuntu5) ... Selecting previously unselected package timelimit. Preparing to unpack .../timelimit_1.8-1_amd64.deb ... Unpacking timelimit (1.8-1) ... Selecting previously unselected package libtommath0. Preparing to unpack .../libtommath0_0.42.0-1.2_amd64.deb ... Unpacking libtommath0 (0.42.0-1.2) ... Selecting previously unselected package libtomcrypt0:amd64. Preparing to unpack .../libtomcrypt0_1.17-7_amd64.deb ... Unpacking libtomcrypt0:amd64 (1.17-7) ... Selecting previously unselected package chrony. Preparing to unpack .../chrony_2.1.1-1_amd64.deb ... Unpacking chrony (2.1.1-1) ... Processing triggers for man-db (2.7.5-1) ... Processing triggers for doc-base (0.10.7) ... Processing 1 added doc-base file... Processing triggers for systemd (229-4ubuntu21.16) ... Processing triggers for ureadahead (0.100.0-19) ... ureadahead will be reprofiled on next reboot Setting up ntpdate (1:4.2.8p4+dfsg-3ubuntu5) ... Setting up timelimit (1.8-1) ... Setting up libtommath0 (0.42.0-1.2) ... Setting up libtomcrypt0:amd64 (1.17-7) ... Setting up chrony (2.1.1-1) ... Creating '_chrony' system user/group for the chronyd daemon…

daemon…

Creating config file /etc/chrony/chrony.conf with new version Processing triggers for libc-bin (2.23-0ubuntu10) ... Processing triggers for systemd (229-4ubuntu21.16) ... Processing triggers for ureadahead (0.100.0-19) ... 8 Apr 18:45:25 ntpdate[4218]: adjust time server 91.189.91.157 offset 0.023143 sec [Add the ROS repository] [Download the ROS keys] Executing: /tmp/tmp.XDNifGVXB7/gpg.1.sh --keyserver hkp://ha.pool.sks-keyservers.net:80 --recv-key 421C365BD9FF1F717815A3895523BAEEB01FA116 gpg: requesting key B01FA116 from hkp server ha.pool.sks-keyservers.net gpg: key B01FA116: public key "ROS Builder rosbuild@ros.org" <rosbuild@ros.org>" imported gpg: Total number processed: 1 gpg: imported: 1 [Check the ROS keys] [ROS key exists in the list] [Update the package lists and upgrade them] Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease Ign:2 http://joule.archive.canonical.com/updates xenial-joule InRelease Ign:3 http://oem.archive.canonical.com/updates xenial-oem InRelease Hit:4 http://joule.archive.canonical.com/updates xenial-joule Release
Hit:5 http://oem.archive.canonical.com/updates xenial-oem Release
Hit:8 http://security.ubuntu.com/ubuntu xenial-security InRelease
Get:9 http://packages.ros.org/ros/ubuntu xenial InRelease [4,040 B] Get:10 http://packages.ros.org/ros/ubuntu xenial/main amd64 Packages [761 kB] Get:11 http://packages.ros.org/ros/ubuntu xenial/main i386 Packages [550 kB] Fetched 1,315 kB in 6s (218 kB/s)
Reading package lists... Done Reading package lists... Done Building dependency tree
Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. [Install the ros-desktop-full and all rqt plugins] Reading package lists... Done Building dependency tree
Reading state information... Done Note, selecting 'ros-kinetic-rqt-gui-py' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-tf-tree' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-moveit' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-console' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-pose-view' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-logger-level' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-gauges' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-py-common' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-rviz' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-joint-trajectory-plot' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-service-caller' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-pr2-dashboard' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-topic' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-bag' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-bhand' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-common-plugins' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-dep' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-robot-steering' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-reconfigure' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-gui' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-robot-monitor' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-plot' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-controller-manager' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-multiplot' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-msg' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-nav-view' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-shell' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-wrapper' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-gui-cpp' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-image-view' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-ez-publisher' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-launchtree' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-runtime-monitor' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-srv' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-top' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-py-trees' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-publisher' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-bag-plugins' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-robot-dashboard' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-web' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-launch' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-robot-plugins' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-py-console' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-joint-trajectory-controller' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-graph' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' Note, selecting 'ros-kinetic-rqt-action' for glob 'ros-kinetic-rqt-' 'ros-kinetic-rqt-*' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Some ***Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: ros-kinetic-desktop-full : Depends: ros-kinetic-desktop but it is not going to be installed Depends: ros-kinetic-perception but it is not going to be installed Depends: ros-kinetic-simulators but it is not going to be installed Depends: ros-kinetic-urdf-tutorial but it is not going to be installed ros-kinetic-rqt-action : Depends: ros-kinetic-rospy but it is not going to be installed installed*** ros-kinetic-rqt-bag : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rosbag but it is not going to be installed Depends: ros-kinetic-rosgraph-msgs but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rosnode but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-bag-plugins : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-rosbag but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-sensor-msgs but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed ros-kinetic-rqt-bhand : Depends: ros-kinetic-bhand-controller but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-sensor-msgs but it is not going to be installed ros-kinetic-rqt-console : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-controller-manager : Depends: ros-kinetic-controller-manager but it is not going to be installed ros-kinetic-rqt-dep : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-dotgraph but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed ros-kinetic-rqt-ez-publisher : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-tf but it is not going to be installed Depends: ros-kinetic-tf2-msgs but it is not going to be installed ros-kinetic-rqt-gauges : Depends: ros-kinetic-pluginlib but it is not going to be installed Depends: ros-kinetic-roscpp but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed ros-kinetic-rqt-graph : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-dotgraph but it is not going to be installed Depends: ros-kinetic-rosgraph-msgs but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rosnode but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rosservice but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed ros-kinetic-rqt-gui : Depends: ros-kinetic-qt-gui (>= 0.3.0) but it is not going to be installed ros-kinetic-rqt-gui-cpp : Depends: ros-kinetic-nodelet but it is not going to be installed Depends: ros-kinetic-qt-gui (>= 0.3.0) but it is not going to be installed Depends: ros-kinetic-qt-gui-cpp (>= 0.3.0) but it is not going to be installed Depends: ros-kinetic-roscpp but it is not going to be installed ros-kinetic-rqt-gui-py : Depends: ros-kinetic-qt-gui (>= 0.3.0) but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-image-view : Depends: ros-kinetic-opencv3 but it is not going to be installed Depends: ros-kinetic-cv-bridge but it is not going to be installed Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-image-transport but it is not going to be installed Depends: ros-kinetic-sensor-msgs but it is not going to be installed ros-kinetic-rqt-joint-trajectory-controller : Depends: ros-kinetic-control-msgs but it is not going to be installed Depends: ros-kinetic-controller-manager-msgs but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-trajectory-msgs but it is not going to be installed ros-kinetic-rqt-joint-trajectory-plot : Depends: ros-kinetic-control-msgs but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-trajectory-msgs but it is not going to be installed ros-kinetic-rqt-launch : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-roslaunch but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-launchtree : Depends: ros-kinetic-roslaunch but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-logger-level : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rosnode but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rosservice but it is not going to be installed ros-kinetic-rqt-moveit : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rosnode but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-sensor-msgs but it is not going to be installed ros-kinetic-rqt-msg : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rosmsg but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-multiplot : Depends: qtbase5-dev Depends: ros-kinetic-rosbag but it is not going to be installed Depends: ros-kinetic-roscpp but it is not going to be installed Depends: ros-kinetic-variant-topic-tools but it is not going to be installed ros-kinetic-rqt-nav-view : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-nav-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-tf but it is not going to be installed ros-kinetic-rqt-plot : Depends: python-matplotlib but it is not going to be installed Depends: python-numpy but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common (>= 0.2.25) but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed ros-kinetic-rqt-pose-view : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-tf but it is not going to be installed ros-kinetic-rqt-pr2-dashboard : Depends: ros-kinetic-diagnostic-msgs but it is not going to be installed Depends: ros-kinetic-pr2-msgs but it is not going to be installed Depends: ros-kinetic-pr2-power-board but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed Depends: ros-kinetic-std-srvs but it is not going to be installed ros-kinetic-rqt-publisher : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rosmsg (>= 1.9.49) but it is not going to be installed ros-kinetic-rqt-py-common : Depends: ros-kinetic-actionlib but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rosbag but it is not going to be installed Depends: ros-kinetic-roslib but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed ros-kinetic-rqt-py-console : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-py-trees : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-py-trees-msgs but it is not going to be installed Depends: ros-kinetic-qt-dotgraph but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-unique-id but it is not going to be installed ros-kinetic-rqt-reconfigure : Depends: ros-kinetic-dynamic-reconfigure but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-robot-dashboard : Depends: ros-kinetic-diagnostic-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-robot-monitor : Depends: ros-kinetic-diagnostic-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-robot-steering : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed ros-kinetic-rqt-runtime-monitor : Depends: ros-kinetic-diagnostic-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-rviz : Depends: libboost-all-dev but it is not going to be installed Depends: ros-kinetic-pluginlib but it is not going to be installed Depends: ros-kinetic-rviz but it is not going to be installed ros-kinetic-rqt-service-caller : Depends: ros-kinetic-rosservice but it is not going to be installed ros-kinetic-rqt-shell : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed ros-kinetic-rqt-srv : Depends: ros-kinetic-rosmsg but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-tf-tree : Depends: ros-kinetic-geometry-msgs but it is not going to be installed Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-dotgraph but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed Depends: ros-kinetic-tf2 but it is not going to be installed Depends: ros-kinetic-tf2-msgs but it is not going to be installed Depends: ros-kinetic-tf2-ros but it is not going to be installed ros-kinetic-rqt-top : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-topic : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-rostopic but it is not going to be installed Depends: ros-kinetic-std-msgs but it is not going to be installed ros-kinetic-rqt-web : Depends: ros-kinetic-python-qt-binding (>= 0.2.19) but it is not going to be installed Depends: ros-kinetic-qt-gui but it is not going to be installed Depends: ros-kinetic-rospy but it is not going to be installed ros-kinetic-rqt-wrapper : Depends: ros-kinetic-python-qt-binding but it is not going to be installed Depends: ros-kinetic-qt-gui-py-common but it is not going to be installed Depends: ros-kinetic-rocon-python-utils but it is not going to be installed E: Unable to correct problems, you have held broken packages. [Initialize rosdep] sh: 1: rosdep: not found ./install_ros_kinetic.sh: line 56: rosdep: command not found [Environment setup and getting rosinstall] ./install_ros_kinetic.sh: line 59: /opt/ros/kinetic/setup.sh: No such file or directory Reading package lists... Done Building dependency tree
Reading state information... Done The following additional packages will be installed: bzr docutils-common docutils-doc git git-core git-man libapr1 libaprutil1 liberror-perl libjs-excanvas libserf-1-1 libsvn1 mercurial mercurial-common python-bzrlib python-catkin-pkg python-catkin-pkg-modules python-chardet python-configobj python-dateutil python-dbus python-docutils python-gi python-gpgme python-httplib2 python-keyring python-launchpadlib python-lazr.restfulclient python-lazr.uri python-oauth python-pil python-pkg-resources python-pygments python-pyparsing python-roman python-rosdistro python-rosdistro-modules python-rospkg-modules python-secretstorage python-setuptools python-simplejson python-six python-vcstools python-wadllib python-wstool python-yaml python-zope.interface subversion Suggested packages: bzr-doc bzrtools python-bzrlib.tests git-daemon-run | git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-arch git-cvs git-mediawiki git-svn qct kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff python-mysqldb python-openssl python-bzrlib-dbg python-kerberos python-paramiko python-pycurl python-configobj-doc python-dbus-doc python-dbus-dbg texlive-latex-recommended texlive-latex-base texlive-lang-french fonts-linuxlibertine | ttf-linux-libertine python-gi-cairo python-fs python-gdata python-kde4 python-keyczar python-testresources python-pil-doc python-pil-dbg ttf-bitstream-vera python-secretstorage-doc python-setuptools-doc db5.3-util subversion-tools The following NEW packages will be installed: bzr docutils-common docutils-doc git git-core git-man libapr1 libaprutil1 liberror-perl libjs-excanvas libserf-1-1 libsvn1 mercurial mercurial-common python-bzrlib python-catkin-pkg python-catkin-pkg-modules python-chardet python-configobj python-dateutil python-dbus python-docutils python-gi python-gpgme python-httplib2 python-keyring python-launchpadlib python-lazr.restfulclient python-lazr.uri python-oauth python-pil python-pkg-resources python-pygments python-pyparsing python-roman python-rosdistro python-rosdistro-modules python-rosinstall python-rospkg-modules python-secretstorage python-setuptools python-simplejson python-six python-vcstools python-wadllib python-wstool python-yaml python-zope.interface subversion 0 upgraded, 49 newly installed, 0 to remove and 0 not upgraded. Need to get 12.5 MB of archives. After this operation, 69.1 MB of additional disk space will be used. Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 libapr1 amd64 1.5.2-3 [86.0 kB] Get:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 libaprutil1 amd64 1.5.4-1build1 [77.1 kB] Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 libserf-1-1 amd64 1.3.8-1 [45.5 kB] Get:4 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-six all 1.10.0-3 [10.9 kB] Get:5 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-configobj all 5.0.6-2 [34.2 kB] Get:6 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-bzrlib amd64 2.7.0-2ubuntu1 [1,391 kB] Get:7 http://archive.ubuntu.com/ubuntu xenial/main amd64 bzr all 2.7.0-2ubuntu1 [37.2 kB] Get:8 http://archive.ubuntu.com/ubuntu xenial/main amd64 docutils-common all 0.12+dfsg-1 [141 kB] Get:9 http://archive.ubuntu.com/ubuntu xenial/main amd64 docutils-doc all 0.12+dfsg-1 [889 kB] Get:10 http://archive.ubuntu.com/ubuntu xenial/main amd64 liberror-perl all 0.17-1.2 [19.6 kB] Get:11 http://archive.ubuntu.com/ubuntu xenial/main amd64 git-man all 1:2.7.4-0ubuntu1 [735 kB] Get:12 http://archive.ubuntu.com/ubuntu xenial/main amd64 git amd64 1:2.7.4-0ubuntu1 [3,006 kB] Get:13 http://archive.ubuntu.com/ubuntu xenial/main amd64 git-core all 1:2.7.4-0ubuntu1 [1,464 B] Get:14 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libjs-excanvas all 0.r3-4 [45.2 kB] Get:15 http://archive.ubuntu.com/ubuntu xenial/main amd64 libsvn1 amd64 1.9.3-2ubuntu1 [1,168 kB] Get:16 http://archive.ubuntu.com/ubuntu xenial/universe amd64 mercurial-common all 3.7.3-1ubuntu1 [1,833 kB] Get:17 http://archive.ubuntu.com/ubuntu xenial/universe amd64 mercurial amd64 3.7.3-1ubuntu1 [46.3 kB] Get:18 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-dateutil all 2.4.2-1 [42.5 kB] Get:19 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-roman all 2.0.0-2 [8,062 B] Get:20 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-docutils all 0.12+dfsg-1 [348 kB] Get:21 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-pyparsing all 2.0.3+dfsg1-1 [35.3 kB] Get:22 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-pkg-resources all 20.7.0-1 [108 kB] Get:23 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-chardet all 2.3.0-2 [96.3 kB] Get:24 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-dbus amd64 1.2.0-3 [83.5 kB] Get:25 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-gi amd64 3.20.0-0ubuntu1 [194 kB] Get:26 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-gpgme amd64 0.3-1.1 [24.6 kB] Get:27 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-httplib2 all 0.9.1+dfsg-1 [34.2 kB] Get:28 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-keyring all 7.3-1ubuntu1 [43.7 kB] Get:29 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-lazr.uri all 1.0.3-2build1 [13.6 kB] Get:30 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-simplejson amd64 3.8.1-1ubuntu2 [60.4 kB] Get:31 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-wadllib all 1.3.2-3 [28.2 kB] Get:32 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-zope.interface amd64 4.1.3-1build1 [81.0 kB] Get:33 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-oauth all 1.0.1-5 [12.9 kB] Get:34 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-lazr.restfulclient all 0.13.4-5ubuntu1 [50.7 kB] Get:35 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-launchpadlib all 1.10.3-3 [45.6 kB] Get:36 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-pil amd64 3.1.2-0ubuntu1 [312 kB] Get:37 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-pygments all 2.1+dfsg-1 [522 kB] Get:38 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-yaml amd64 3.11-3build1 [105 kB] Get:39 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-setuptools all 20.7.0-1 [169 kB] Get:40 http://archive.ubuntu.com/ubuntu xenial/main amd64 subversion amd64 1.9.3-2ubuntu1 [308 kB] Get:41 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-secretstorage all 2.1.3-1 [12.3 kB] Get:42 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-catkin-pkg-modules all 0.4.11-1 [41.1 kB] Get:43 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-catkin-pkg all 0.4.11-100 [3,516 B] Get:44 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-rospkg-modules all 1.1.7-1 [23.4 kB] Get:45 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-rosdistro-modules all 0.7.3-1 [30.8 kB] Get:46 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-rosdistro all 0.7.3-100 [6,260 B] Get:47 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-vcstools all 0.1.40-1 [29.5 kB] Get:48 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-wstool all 0.1.17-1 [42.4 kB] Get:49 http://packages.ros.org/ros/ubuntu xenial/main amd64 python-rosinstall all 0.7.8-1 [23.7 kB] Fetched 12.5 MB in 5s (2,239 kB/s)
Extracting templates from packages: 100% Selecting previously unselected package libapr1:amd64. (Reading database ... 173209 files and directories currently installed.) Preparing to unpack .../libapr1_1.5.2-3_amd64.deb ... Unpacking libapr1:amd64 (1.5.2-3) ... Selecting previously unselected package libaprutil1:amd64. Preparing to unpack .../libaprutil1_1.5.4-1build1_amd64.deb ... Unpacking libaprutil1:amd64 (1.5.4-1build1) ... Selecting previously unselected package libserf-1-1:amd64. Preparing to unpack .../libserf-1-1_1.3.8-1_amd64.deb ... Unpacking libserf-1-1:amd64 (1.3.8-1) ... Selecting previously unselected package python-six. Preparing to unpack .../python-six_1.10.0-3_all.deb ... Unpacking python-six (1.10.0-3) ... Selecting previously unselected package python-configobj. Preparing to unpack .../python-configobj_5.0.6-2_all.deb ... Unpacking python-configobj (5.0.6-2) ... Selecting previously unselected package python-bzrlib. Preparing to unpack .../python-bzrlib_2.7.0-2ubuntu1_amd64.deb ... Unpacking python-bzrlib (2.7.0-2ubuntu1) ... Selecting previously unselected package bzr. Preparing to unpack .../bzr_2.7.0-2ubuntu1_all.deb ... Unpacking bzr (2.7.0-2ubuntu1) ... Selecting previously unselected package docutils-common. Preparing to unpack .../docutils-common_0.12+dfsg-1_all.deb ... Unpacking docutils-common (0.12+dfsg-1) ... Selecting previously unselected package docutils-doc. Preparing to unpack .../docutils-doc_0.12+dfsg-1_all.deb ... Unpacking docutils-doc (0.12+dfsg-1) ... Selecting previously unselected package liberror-perl. Preparing to unpack .../liberror-perl_0.17-1.2_all.deb ... Unpacking liberror-perl (0.17-1.2) ... Selecting previously unselected package git-man. Preparing to unpack .../git-man_1%3a2.7.4-0ubuntu1_all.deb ... Unpacking git-man (1:2.7.4-0ubuntu1) ... Selecting previously unselected package git. Preparing to unpack .../git_1%3a2.7.4-0ubuntu1_amd64.deb ... Unpacking git (1:2.7.4-0ubuntu1) ... Selecting previously unselected package git-core. Preparing to unpack .../git-core_1%3a2.7.4-0ubuntu1_all.deb ... Unpacking git-core (1:2.7.4-0ubuntu1) ... Selecting previously unselected package libjs-excanvas. Preparing to unpack .../libjs-excanvas_0.r3-4_all.deb ... Unpacking libjs-excanvas (0.r3-4) ... Selecting previously unselected package libsvn1:amd64. Preparing to unpack .../libsvn1_1.9.3-2ubuntu1_amd64.deb ... Unpacking libsvn1:amd64 (1.9.3-2ubuntu1) ... Selecting previously unselected package mercurial-common. Preparing to unpack .../mercurial-common_3.7.3-1ubuntu1_all.deb ... Unpacking mercurial-common (3.7.3-1ubuntu1) ... Selecting previously unselected package mercurial. Preparing to unpack .../mercurial_3.7.3-1ubuntu1_amd64.deb ... Unpacking mercurial (3.7.3-1ubuntu1) ... Selecting previously unselected package python-dateutil. Preparing to unpack .../python-dateutil_2.4.2-1_all.deb ... Unpacking python-dateutil (2.4.2-1) ... Selecting previously unselected package python-roman. Preparing to unpack .../python-roman_2.0.0-2_all.deb ... Unpacking python-roman (2.0.0-2) ... Selecting previously unselected package python-docutils. Preparing to unpack .../python-docutils_0.12+dfsg-1_all.deb ... Unpacking python-docutils (0.12+dfsg-1) ... Selecting previously unselected package python-pyparsing. Preparing to unpack .../python-pyparsing_2.0.3+dfsg1-1_all.deb ... Unpacking python-pyparsing (2.0.3+dfsg1-1) ... Selecting previously unselected package python-catkin-pkg-modules. Preparing to unpack .../python-catkin-pkg-modules_0.4.11-1_all.deb ... Unpacking python-catkin-pkg-modules (0.4.11-1) ... Selecting previously unselected package python-catkin-pkg. Preparing to unpack .../python-catkin-pkg_0.4.11-100_all.deb ... Unpacking python-catkin-pkg (0.4.11-100) ... Selecting previously unselected package python-pkg-resources. Preparing to unpack .../python-pkg-resources_20.7.0-1_all.deb ... Unpacking python-pkg-resources (20.7.0-1) ... Selecting previously unselected package python-chardet. Preparing to unpack .../python-chardet_2.3.0-2_all.deb ... Unpacking python-chardet (2.3.0-2) ... Selecting previously unselected package python-dbus. Preparing to unpack .../python-dbus_1.2.0-3_amd64.deb ... Unpacking python-dbus (1.2.0-3) ... Selecting previously unselected package python-gi. Preparing to unpack .../python-gi_3.20.0-0ubuntu1_amd64.deb ... Unpacking python-gi (3.20.0-0ubuntu1) ... Selecting previously unselected package python-gpgme. Preparing to unpack .../python-gpgme_0.3-1.1_amd64.deb ... Unpacking python-gpgme (0.3-1.1) ... Selecting previously unselected package python-httplib2. Preparing to unpack .../python-httplib2_0.9.1+dfsg-1_all.deb ... Unpacking python-httplib2 (0.9.1+dfsg-1) ... Selecting previously unselected package python-keyring. Preparing to unpack .../python-keyring_7.3-1ubuntu1_all.deb ... Unpacking python-keyring (7.3-1ubuntu1) ... Selecting previously unselected package python-lazr.uri. Preparing to unpack .../python-lazr.uri_1.0.3-2build1_all.deb ... Unpacking python-lazr.uri (1.0.3-2build1) ... Selecting previously unselected package python-simplejson. Preparing to unpack .../python-simplejson_3.8.1-1ubuntu2_amd64.deb ... Unpacking python-simplejson (3.8.1-1ubuntu2) ... Selecting previously unselected package python-wadllib. Preparing to unpack .../python-wadllib_1.3.2-3_all.deb ... Unpacking python-wadllib (1.3.2-3) ... Selecting previously unselected package python-zope.interface. Preparing to unpack .../python-zope.interface_4.1.3-1build1_amd64.deb ... Unpacking python-zope.interface (4.1.3-1build1) ... Selecting previously unselected package python-oauth. Preparing to unpack .../python-oauth_1.0.1-5_all.deb ... Unpacking python-oauth (1.0.1-5) ... Selecting previously unselected package python-lazr.restfulclient. Preparing to unpack .../python-lazr.restfulclient_0.13.4-5ubuntu1_all.deb ... Unpacking python-lazr.restfulclient (0.13.4-5ubuntu1) ... Selecting previously unselected package python-launchpadlib. Preparing to unpack .../python-launchpadlib_1.10.3-3_all.deb ... Unpacking python-launchpadlib (1.10.3-3) ... Selecting previously unselected package python-pil:amd64. Preparing to unpack .../python-pil_3.1.2-0ubuntu1_amd64.deb ... Unpacking python-pil:amd64 (3.1.2-0ubuntu1) ... Selecting previously unselected package python-pygments. Preparing to unpack .../python-pygments_2.1+dfsg-1_all.deb ... Unpacking python-pygments (2.1+dfsg-1) ... Selecting previously unselected package python-yaml. Preparing to unpack .../python-yaml_3.11-3build1_amd64.deb ... Unpacking python-yaml (3.11-3build1) ... Selecting previously unselected package python-rospkg-modules. Preparing to unpack .../python-rospkg-modules_1.1.7-1_all.deb ... Unpacking python-rospkg-modules (1.1.7-1) ... Selecting previously unselected package python-setuptools. Preparing to unpack .../python-setuptools_20.7.0-1_all.deb ... Unpacking python-setuptools (20.7.0-1) ... Selecting previously unselected package python-rosdistro-modules. Preparing to unpack .../python-rosdistro-modules_0.7.3-1_all.deb ... Unpacking python-rosdistro-modules (0.7.3-1) ... Selecting previously unselected package python-rosdistro. Preparing to unpack .../python-rosdistro_0.7.3-100_all.deb ... Unpacking python-rosdistro (0.7.3-100) ... Selecting previously unselected package subversion. Preparing to unpack .../subversion_1.9.3-2ubuntu1_amd64.deb ... Unpacking subversion (1.9.3-2ubuntu1) ... Selecting previously unselected package python-vcstools. Preparing to unpack .../python-vcstools_0.1.40-1_all.deb ... Unpacking python-vcstools (0.1.40-1) ... Selecting previously unselected package python-wstool. Preparing to unpack .../python-wstool_0.1.17-1_all.deb ... Unpacking python-wstool (0.1.17-1) ... Selecting previously unselected package python-rosinstall. Preparing to unpack .../python-rosinstall_0.7.8-1_all.deb ... Unpacking python-rosinstall (0.7.8-1) ... Selecting previously unselected package python-secretstorage. Preparing to unpack .../python-secretstorage_2.1.3-1_all.deb ... Unpacking python-secretstorage (2.1.3-1) ... Processing triggers for libc-bin (2.23-0ubuntu10) ... Processing triggers for man-db (2.7.5-1) ... Processing triggers for shared-mime-info (1.5-2ubuntu0.1) ... Processing triggers for sgml-base (1.26+nmu4ubuntu1) ... Processing triggers for doc-base (0.10.7) ... Processing 1 added doc-base file... Setting up libapr1:amd64 (1.5.2-3) ... Setting up libaprutil1:amd64 (1.5.4-1build1) ... Setting up libserf-1-1:amd64 (1.3.8-1) ... Setting up python-six (1.10.0-3) ... Setting up python-configobj (5.0.6-2) ... Setting up python-bzrlib (2.7.0-2ubuntu1) ... Setting up bzr (2.7.0-2ubuntu1) ... Setting up docutils-common (0.12+dfsg-1) ... Setting up docutils-doc (0.12+dfsg-1) ... Setting up liberror-perl (0.17-1.2) ... Setting up git-man (1:2.7.4-0ubuntu1) ... Setting up git (1:2.7.4-0ubuntu1) ... Setting up git-core (1:2.7.4-0ubuntu1) ... Setting up libjs-excanvas (0.r3-4) ... Setting up libsvn1:amd64 (1.9.3-2ubuntu1) ... Setting up mercurial-common (3.7.3-1ubuntu1) ... Setting up mercurial (3.7.3-1ubuntu1) ...

...

Creating config file /etc/mercurial/hgrc.d/hgext.rc with new version Setting up python-dateutil (2.4.2-1) ... Setting up python-roman (2.0.0-2) ... Setting up python-pyparsing (2.0.3+dfsg1-1) ... Setting up python-pkg-resources (20.7.0-1) ... Setting up python-chardet (2.3.0-2) ... Setting up python-dbus (1.2.0-3) ... Remove stale byte-compiled files... Setting up python-gi (3.20.0-0ubuntu1) ... Setting up python-gpgme (0.3-1.1) ... Setting up python-httplib2 (0.9.1+dfsg-1) ... Setting up python-keyring (7.3-1ubuntu1) ... Setting up python-lazr.uri (1.0.3-2build1) ... Setting up python-simplejson (3.8.1-1ubuntu2) ... Setting up python-wadllib (1.3.2-3) ... Setting up python-zope.interface (4.1.3-1build1) ... Setting up python-oauth (1.0.1-5) ... Setting up python-lazr.restfulclient (0.13.4-5ubuntu1) ... Setting up python-launchpadlib (1.10.3-3) ... Setting up python-pil:amd64 (3.1.2-0ubuntu1) ... Setting up python-pygments (2.1+dfsg-1) ... Setting up python-yaml (3.11-3build1) ... Setting up python-setuptools (20.7.0-1) ... Setting up subversion (1.9.3-2ubuntu1) ... Setting up python-vcstools (0.1.40-1) ... Setting up python-wstool (0.1.17-1) ... Setting up python-secretstorage (2.1.3-1) ... Processing triggers for sgml-base (1.26+nmu4ubuntu1) ... Setting up python-docutils (0.12+dfsg-1) ... update-alternatives: using /usr/share/docutils/scripts/python2/rst-buildhtml to provide /usr/bin/rst-buildhtml (rst-buildhtml) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2html to provide /usr/bin/rst2html (rst2html) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2latex to provide /usr/bin/rst2latex (rst2latex) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2man to provide /usr/bin/rst2man (rst2man) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2odt to provide /usr/bin/rst2odt (rst2odt) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2odt_prepstyles to provide /usr/bin/rst2odt_prepstyles (rst2odt_prepstyles) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2pseudoxml to provide /usr/bin/rst2pseudoxml (rst2pseudoxml) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2s5 to provide /usr/bin/rst2s5 (rst2s5) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2xetex to provide /usr/bin/rst2xetex (rst2xetex) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rst2xml to provide /usr/bin/rst2xml (rst2xml) in auto mode update-alternatives: using /usr/share/docutils/scripts/python2/rstpep2html to provide /usr/bin/rstpep2html (rstpep2html) in auto mode Setting up python-catkin-pkg-modules (0.4.11-1) ... Setting up python-catkin-pkg (0.4.11-100) ... Setting up python-rospkg-modules (1.1.7-1) ... Setting up python-rosdistro-modules (0.7.3-1) ... Setting up python-rosdistro (0.7.3-100) ... Setting up python-rosinstall (0.7.8-1) ... Processing triggers for libc-bin (2.23-0ubuntu10) ... [Make the catkin workspace and test the catkin_make] ./install_ros_kinetic.sh: line 65: catkin_init_workspace: command not found ./install_ros_kinetic.sh: line 67: catkin_make: command not found [Set the ROS evironment] [Complete!!!] wheagy@waffle:~$

wheagy@waffle:~$